<form [formGroup]="checkoutForm" (ngSubmit)="onSubmit()">
  <div class="row">
    <div class="col-md-6 form-group">
      <label class="form-label fw-bold">ชื่อ-นามสกุล</label>
      <input
        type="text"
        class="form-control"
        formControlName="fullname"
        placeholder="กรอกชื่อ-นามสกุล"
        [ngClass]="{ 'is-invalid': submitted && f['fullname'].errors }"
      />
      <div *ngIf="submitted && f['fullname'].errors" class="invalid-feedback">
        <p *ngIf="f['fullname'].errors['required']">กรุณากรอกชื่อ-นามสกุล</p>
        <p *ngIf="f['fullname'].errors['pattern']">
          กรอกได้เฉพาะตัวอักษรเท่านั้น
        </p>
      </div>
    </div>
    <div class="col-md-6 form-group">
      <label class="form-label fw-bold">เลือกเพศ</label>
      <select
        class="form-select"
        formControlName="gender_id"
        [ngClass]="{ 'is-invalid': submitted && f['gender_id'].errors }"
      >
        <option selected disabled [value]="null">กรุณาเลือกเพศ</option>
        <option *ngFor="let g of gender" [value]="g.id">{{ g.name }}</option>
      </select>
      <div *ngIf="submitted && f['gender_id'].errors" class="invalid-feedback">
        <p *ngIf="f['gender_id'].errors['required']">กรุณาเลือกเพศ</p>
      </div>
    </div>
  </div>
  <div class="row mt-3">
    <div class="col-md-6">
      <label class="form-label fw-bold">วัน/เดือน/ปีเกิด</label>
      <mat-form-field>
        <input
          matInput
          [matDatepicker]="picker"
          placeholder="Choose a date"
          style="width: 100%"
          formControlName="birthday"
        />
        <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
        <mat-datepicker #picker></mat-datepicker>
      </mat-form-field>
    </div>
  </div>
  <div class="row">
    <div class="col-md-12" formArrayName="addresses">
      <div class="d-flex align-items-center mb-1">
        <label class="fw-bold">ที่อยู่</label>
        <i class="fas fa-plus-circle ms-1" (click)="addAddress()"></i>
      </div>
      <div class="" *ngFor="let addressForm of address.controls; let i = index">
        <div
          class="d-flex align-items-center mt-3 form-group"
          [formGroup]="addressForm"
        >
          <input
            type="text"
            class="form-control"
            placeholder="กรอกที่อยู่"
            formControlName="name"
            [ngClass]="{
              'is-invalid':
                submitted && address.controls[i].get('name').errors?.required
            }"
          />
          <i class="fas fa-trash-alt" (click)="deleteAddress(i)"></i>
        </div>
      </div>
    </div>
  </div>
  <div class="row">
    <div class="col-md-12 form-group">
      <label class="form-label fw-bold m-0 mb-2 mt-3">สถานะ</label>
      <div class="d-flex align-items-center">
        <input
          class="form-check-input me-1"
          type="radio"
          name="marital_status_id"
          [value]="1"
          formControlName="marital_status_id"
          [ngClass]="{
            'is-invalid': submitted && f['marital_status_id'].errors
          }"
        />
        <label class="form-check-label mt-1" for="inlineRadio1">โสด</label>
        <input
          class="form-check-input me-1 ms-3"
          type="radio"
          name="marital_status_id"
          [value]="2"
          formControlName="marital_status_id"
          [ngClass]="{
            'is-invalid': submitted && f['marital_status_id'].errors
          }"
        />
        <label class="form-check-label mt-1" for="inlineRadio1"
          >มีแฟนแล้ว</label
        >
        <input
          class="form-check-input me-1 ms-3"
          type="radio"
          name="marital_status_id"
          [value]="3"
          formControlName="marital_status_id"
          [ngClass]="{
            'is-invalid': submitted && f['marital_status_id'].errors
          }"
        />
        <label class="form-check-label mt-1" for="inlineRadio1"
          >แต่งงานแล้ว</label
        >
      </div>
      <div
        *ngIf="submitted && f['marital_status_id'].errors"
        class="message-invalid"
      >
        <p *ngIf="f['marital_status_id'].errors['required']" class="mt-1">
          กรุณาเลือกสถานะ
        </p>
      </div>
    </div>
  </div>
  <div class="d-flex justify-content-end mt-5 gap-3">
    <button type="submit" class="btn btn-success">ตกลง</button>
    <button type="button" class="btn btn-danger" [mat-dialog-close]="true">
      ยกเลิก
    </button>
  </div>
</form>
